import * as Collections from "typescript-collections";
import { Association } from "./association";
import { Generalization } from "./generalization";
import { Node } from "./node";
export declare type NodeDict = Collections.Dictionary<string, Node>;
export declare class CodeModel {
    private _nodes;
    private _associations;
    private _generalizations;
    nodes: NodeDict;
    associations: Collections.Set<Association>;
    generalizations: Collections.Set<Generalization>;
    constructor();
}
